//------------------------------------------------------------
// cel_paint |S]GbWp

//------------------------------------------------------------
uniform sampler2D mmv_tex0;

uniform sampler2D mmv_tex2; // EXeNX`1

//------------------------------------------------------------
varying vec3 VERTEX_NORMAL;	// @xNg
varying vec3 VERTEX_LIGHT;	// CgxNg
varying vec3 VERTEX_EYE;	// xNg

// ------------------------------------------------------------
// tOgVF[_vO
// ------------------------------------------------------------
void main( void )
{
	vec3	N	= normalize(VERTEX_NORMAL);	// @xNg
	vec3	L	= normalize(VERTEX_LIGHT);	// CgxNg
	vec3	E	= normalize(VERTEX_EYE);	// xNg
	vec3	R	= reflect( L, N );			// ˃xNg
	N *= -1;
	
	float	EdgeDif = 0.7;
	
	//F
	vec3	color	= texture2D( mmv_tex0, gl_TexCoord[ 0 ].st ).rgb;	//}eAF
	float	a		= texture2D( mmv_tex0, gl_TexCoord[ 0 ].st ).a;	//sx
	
	float	dif		= max( dot( N, L ), 0.0 );			//gUxi̋j
	dif	= min( dif + 0.1, 1.0 );
	dif	= dif * (254.0/256.0) + (1.0/256.0);		//ItZbg
	
	vec3	cel1	= texture2D( mmv_tex2, vec2( dif, 1 ) ).rgb;	//Z
	
	gl_FragColor	= vec4( color * cel1 * EdgeDif, a );	//o
}
